package com.ruoyi.info.management.exception;

import com.ruoyi.common.enums.IIntegerEnum;
import java.util.Objects;


/**
 * 异常枚举
 */
public enum TeacherDepartmentRelExceptionEnum implements IIntegerEnum {

    // TODO 注意检查错误码，保证系统内唯一
    TeacherDepartmentRel_IS_NOT_EXISTS(200001, "管理老师科室关联不存在"),

    ;

    private Integer code;

    private String msg;

    TeacherDepartmentRelExceptionEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static TeacherDepartmentRelExceptionEnum getByCode(int code, TeacherDepartmentRelExceptionEnum[] values) {
        for (TeacherDepartmentRelExceptionEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
